System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.TypeDescriptionProvider

The class dynamically extends the type information associated with a type or object by adding, modifying, or hiding characteristics such as attributes, properties, and events. For more information, see .

Extends the metadata information for a class by adding attributes and property information that is defined in an associated class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified type.

  The type for which the metadata provider is created.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified metadata provider type and associated type.

  The type for which the metadata provider is created.
  The associated type that contains the metadata.
- Method
  4.0.0.0
  System.ComponentModel.ICustomTypeDescriptor `` `` To be added.

  Gets a type descriptor for the specified type and object.

  The descriptor that provides metadata for the type.

  The type of object to retrieve the type descriptor for. An instance of the type.